API reference
POSTPublic
Verify login WebAuthn
/api/v1/login/mfa/webauthn/verify
Complete the login challenge with a browser WebAuthn assertion. Success is the same as password login (user + access_token).
Path parameters
This endpoint has no path parameters.
Query parameters
This endpoint has no query parameters.
Request body
| Field | Type | Description |
|---|---|---|
challenge_token Required | string | Challenge token returned by login. e.g. "opaque-challenge" |
credential Required | object | WebAuthn assertion from the authenticator. e.g. {"id":"credential-id","rawId":"credential-id","type":"public-key","response":{"clientDataJSON":"eyJ0eXBlIjoid2ViYXV0aG4uZ2V0In0","authenticatorData":"SZYN5YgOjGh0NBcPZHZgW4_krrmihjLHmVzzuoMdl2MFAAAAAA","signature":"MEUCIQDexample","userHandle":"dXNlci1oYW5kbGU"}} |
Responses
| Status | Meaning |
|---|---|
| 200 | Logged in successfully |
| 401 | Missing or invalid Bearer token. |